Package com.collabnet.ce.soap60.webservices.scm

# Class ScmAppSoapMockStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.ClientSoapMockStub
com.collabnet.ce.soap60.webservices.scm.ScmAppSoapMockStub

All Implemented Interfaces:
  `IScmAppSoap`

public class ScmAppSoapMockStub extends ClientSoapMockStub implements IScmAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScmAppSoapMockStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `addExternalSystem(String sessionId, String adapterType, String title, String description, SoapNamedValues adapterTypeParameters)`
  Simulate a call to addExternalSystem
  `RepositorySoapDO`
  `createRepository(String sessionId, String projectId, String externalSystemId, String repositoryDirectory, String title, String description, boolean idRequiredOnCommit, boolean hideMonitoringDetails, String comment)`
  Simulate a call to createRepository
  `Repository2SoapDO`
  `createRepository2(String sessionId, String projectId, String externalSystemId, String repositoryDirectory, String title, String description, boolean idRequiredOnCommit, boolean hideMonitoringDetails, String comment, RepositoryParameter2SoapDO[] params)`
  Simulate a call to createRepository2
  `void`
  `deleteRepository(String sessionId, String repositoryId)`
  Simulate a call to deleteRepository
  `String`
  `getAuthorizedKeys(String sessionId)`
  Simulate a call to getAuthorizedKeys
  `String`
  `getAuthorizedKeysForUser(String sessionId, String username)`
  Simulate a call to getAuthorizedKeysForUser
  `CommitSoapDO`
  `getCommitData(String sessionId, String commitId)`
  Simulate a call to getCommitData
  `Commit2SoapDO`
  `getCommitData2(String sessionId, String commitId)`
  Simulate a call to getCommitData2
  `String`
  `getCommitId(String sessionId, String revision, String externalSystemId, String repoPath)`
  Simulate a call to getCommitId
  `CommitSoapList`
  `getCommitList(String sessionId, String repositoryId, SoapFilter[] filters)`
  Simulate a call to getCommitList
  `ExternalSystemSoapDO`
  `getExternalSystem(String sessionId, String systemId)`
  Simulate a call to getExternalSystem
  `ExternalSystemSoapList`
  `getExternalSystemList(String sessionId)`
  Simulate a call to getExternalSystemList
  `ExternalSystem2SoapList`
  `getExternalSystemList2(String sessionId)`
  Simulate a call to getExternalSystemList2
  `ReplicableScmExternalSystemSoapList`
  `getReplicableScmExternalSystemList(String sessionId)`
  Simulate a call to getReplicableScmExternalSystemList
  `ReplicableScmExternalSystemSoapList`
  `getReplicableScmExternalSystemList2(String sessionId, String adapterName)`
  Simulate a call to getReplicableScmExternalSystemList2
  `ReplicaDataSoapDO`
  `getReplicaData(String sessionId, String replicaId)`
  Simulate a call to getReplicaData
  `ReplicaServerSoapList`
  `getReplicaListForExternalSystem(String sessionId, String externalSystemId, boolean approvedOnly)`
  Simulate a call to getReplicaListForExternalSystem
  `ReplicaRepositorySoapList`
  `getReplicaRepositoryList(String sessionId, String replicaId)`
  Simulate a call to getReplicaRepositoryList
  `ReplicatedRepositorySoapList`
  `getReplicatedRepositoryList(String sessionId, String masterRepositoryId)`
  Simulate a call to getReplicatedRepositoryList
  `Repository2SoapDO`
  `getRepository2Data(String sessionId, String externalSystemId, String repositoryDirectory)`
  Simulate a call to getRepository2Data
  `Repository2SoapDO`
  `getRepository2DataById(String sessionId, String repositoryId)`
  Simulate a call to getRepository2DataById
  `RepositorySoapDO`
  `getRepositoryData(String sessionId, String externalSystemId, String repositoryDirectory)`
  Simulate a call to getRepositoryData
  `RepositorySoapDO`
  `getRepositoryDataById(String sessionId, String repositoryId)`
  Simulate a call to getRepositoryDataById
  `RepositorySoapList`
  `getRepositoryList(String sessionId, String projectId)`
  Simulate a call to getRepositoryList
  `RepositorySoapList`
  `getRepositoryListForExternalSystem(String sessionId, String externalSystemId, String userName)`
  Simulate a call to getRepositoryListForExternalSystem
  `String[]`
  `getScmAdapterNames(String sessionId)`
  Simulate a call to getScmAdapterNames
  `SoapNamedValues`
  `getScmAdapterParameterNamesWithType(String sessionId, String adapterName)`
  Simulate a call to getScmAdapterParameterNamesWithType
  `String`
  `getSCMCheckoutCommand(String sessionId, String repositoryId, String userName)`
  Simulate a call to getSCMCheckoutCommand
  `CheckoutCommandSoapList`
  `getSCMCheckoutCommands(String sessionId, String repositoryId)`
  Simulate a call to getSCMCheckoutCommands
  `CheckoutCommandSoapList`
  `getSCMCheckoutCommandsForReplica(String sessionId, String repositoryId, String replicaId)`
  Simulate a call to getSCMCheckoutCommandsForReplica
  `boolean`
  `isAdapterTypeValid(com.vasoftware.sf.server.types.NamedValue[] adapterTypeParams, String givenParamName, String givenParamValue)`
  Simulate a call to isAdapterTypeValid
  `RepositorySoapDO`
  `moveRepository(String sessionId, String repositoryId, String projectId)`
  Simulate a call to moveRepository
  `String`
  `nullToEmptyString(String string)`
  Simulate a call to nullToEmptyString
  `void`
  `prepareAddExternalSystem(String sessionId, String adapterType, String title, String description, SoapNamedValues adapterTypeParameters, Object returnValue)`
  Prepare a simulated response to addExternalSystem
  `void`
  `prepareCreateRepository(String sessionId, String projectId, String externalSystemId, String repositoryDirectory, String title, String description, boolean idRequiredOnCommit, boolean hideMonitoringDetails, String comment, Object returnValue)`
  Prepare a simulated response to createRepository
  `void`
  `prepareCreateRepository2(String sessionId, String projectId, String externalSystemId, String repositoryDirectory, String title, String description, boolean idRequiredOnCommit, boolean hideMonitoringDetails, String comment, RepositoryParameter2SoapDO[] params, Object returnValue)`
  Prepare a simulated response to createRepository2
  `void`
  `prepareDeleteRepository(String sessionId, String repositoryId)`
  Prepare a simulated response to deleteRepository
  `void`
  `prepareDeleteRepository(String sessionId, String repositoryId, Exception exception)`
  Prepare a simulated response to deleteRepository
  `void`
  `prepareGetAuthorizedKeys(String sessionId, Object returnValue)`
  Prepare a simulated response to getAuthorizedKeys
  `void`
  `prepareGetAuthorizedKeysForUser(String sessionId, String username, Object returnValue)`
  Prepare a simulated response to getAuthorizedKeysForUser
  `void`
  `prepareGetCommitData(String sessionId, String commitId, Object returnValue)`
  Prepare a simulated response to getCommitData
  `void`
  `prepareGetCommitData2(String sessionId, String commitId, Object returnValue)`
  Prepare a simulated response to getCommitData2
  `void`
  `prepareGetCommitId(String sessionId, String revision, String externalSystemId, String repoPath, Object returnValue)`
  Prepare a simulated response to getCommitId
  `void`
  `prepareGetCommitList(String sessionId, String repositoryId, SoapFilter[] filters, Object returnValue)`
  Prepare a simulated response to getCommitList
  `void`
  `prepareGetExternalSystem(String sessionId, String systemId, Object returnValue)`
  Prepare a simulated response to getExternalSystem
  `void`
  `prepareGetExternalSystemList(String sessionId, Object returnValue)`
  Prepare a simulated response to getExternalSystemList
  `void`
  `prepareGetExternalSystemList2(String sessionId, Object returnValue)`
  Prepare a simulated response to getExternalSystemList2
  `void`
  `prepareGetReplicableScmExternalSystemList(String sessionId, Object returnValue)`
  Prepare a simulated response to getReplicableScmExternalSystemList
  `void`
  `prepareGetReplicableScmExternalSystemList2(String sessionId, String adapterName, Object returnValue)`
  Prepare a simulated response to getReplicableScmExternalSystemList2
  `void`
  `prepareGetReplicaData(String sessionId, String replicaId, Object returnValue)`
  Prepare a simulated response to getReplicaData
  `void`
  `prepareGetReplicaListForExternalSystem(String sessionId, String externalSystemId, boolean approvedOnly, Object returnValue)`
  Prepare a simulated response to getReplicaListForExternalSystem
  `void`
  `prepareGetReplicaRepositoryList(String sessionId, String replicaId, Object returnValue)`
  Prepare a simulated response to getReplicaRepositoryList
  `void`
  `prepareGetReplicatedRepositoryList(String sessionId, String masterRepositoryId, Object returnValue)`
  Prepare a simulated response to getReplicatedRepositoryList
  `void`
  `prepareGetRepository2Data(String sessionId, String externalSystemId, String repositoryDirectory, Object returnValue)`
  Prepare a simulated response to getRepository2Data
  `void`
  `prepareGetRepository2DataById(String sessionId, String repositoryId, Object returnValue)`
  Prepare a simulated response to getRepository2DataById
  `void`
  `prepareGetRepositoryData(String sessionId, String externalSystemId, String repositoryDirectory, Object returnValue)`
  Prepare a simulated response to getRepositoryData
  `void`
  `prepareGetRepositoryDataById(String sessionId, String repositoryId, Object returnValue)`
  Prepare a simulated response to getRepositoryDataById
  `void`
  `prepareGetRepositoryList(String sessionId, String projectId, Object returnValue)`
  Prepare a simulated response to getRepositoryList
  `void`
  `prepareGetRepositoryListForExternalSystem(String sessionId, String externalSystemId, String userName, Object returnValue)`
  Prepare a simulated response to getRepositoryListForExternalSystem
  `void`
  `prepareGetScmAdapterNames(String sessionId, Object returnValue)`
  Prepare a simulated response to getScmAdapterNames
  `void`
  `prepareGetScmAdapterParameterNamesWithType(String sessionId, String adapterName, Object returnValue)`
  Prepare a simulated response to getScmAdapterParameterNamesWithType
  `void`
  `prepareGetSCMCheckoutCommand(String sessionId, String repositoryId, String userName, Object returnValue)`
  Prepare a simulated response to getSCMCheckoutCommand
  `void`
  `prepareGetSCMCheckoutCommands(String sessionId, String repositoryId, Object returnValue)`
  Prepare a simulated response to getSCMCheckoutCommands
  `void`
  `prepareGetSCMCheckoutCommandsForReplica(String sessionId, String repositoryId, String replicaId, Object returnValue)`
  Prepare a simulated response to getSCMCheckoutCommandsForReplica
  `void`
  `prepareIsAdapterTypeValid(com.vasoftware.sf.server.types.NamedValue[] adapterTypeParams, String givenParamName, String givenParamValue, Object returnValue)`
  Prepare a simulated response to isAdapterTypeValid
  `void`
  `prepareMoveRepository(String sessionId, String repositoryId, String projectId, Object returnValue)`
  Prepare a simulated response to moveRepository
  `void`
  `prepareNullToEmptyString(String string, Object returnValue)`
  Prepare a simulated response to nullToEmptyString
  `void`
  `prepareRemoveRepositoryFromReplica(String sessionId, String repositoryId, String replicaId)`
  Prepare a simulated response to removeRepositoryFromReplica
  `void`
  `prepareRemoveRepositoryFromReplica(String sessionId, String repositoryId, String replicaId, Exception exception)`
  Prepare a simulated response to removeRepositoryFromReplica
  `void`
  `prepareReplicateRepository(String sessionId, String repositoryId, String replicaId)`
  Prepare a simulated response to replicateRepository
  `void`
  `prepareReplicateRepository(String sessionId, String repositoryId, String replicaId, Exception exception)`
  Prepare a simulated response to replicateRepository
  `void`
  `prepareSetAuthorizedKeys(String sessionId, String authorizedKeys)`
  Prepare a simulated response to setAuthorizedKeys
  `void`
  `prepareSetAuthorizedKeys(String sessionId, String authorizedKeys, Exception exception)`
  Prepare a simulated response to setAuthorizedKeys
  `void`
  `prepareSetAuthorizedKeys(String sessionId, String username, String authorizedKeys)`
  Prepare a simulated response to setAuthorizedKeys
  `void`
  `prepareSetAuthorizedKeys(String sessionId, String username, String authorizedKeys, Exception exception)`
  Prepare a simulated response to setAuthorizedKeys
  `void`
  `prepareSetAuthorizedKeysForUser(String sessionId, String username, String authorizedKeys)`
  Prepare a simulated response to setAuthorizedKeysForUser
  `void`
  `prepareSetAuthorizedKeysForUser(String sessionId, String username, String authorizedKeys, Exception exception)`
  Prepare a simulated response to setAuthorizedKeysForUser
  `void`
  `prepareSetExternalSystemData(String sessionId, ExternalSystemSoapDO systemData)`
  Prepare a simulated response to setExternalSystemData
  `void`
  `prepareSetExternalSystemData(String sessionId, ExternalSystemSoapDO systemData, Exception exception)`
  Prepare a simulated response to setExternalSystemData
  `void`
  `prepareSetReplicaData(String sessionId, ReplicaDataSoapDO replica)`
  Prepare a simulated response to setReplicaData
  `void`
  `prepareSetReplicaData(String sessionId, ReplicaDataSoapDO replica, Exception exception)`
  Prepare a simulated response to setReplicaData
  `void`
  `prepareSetRepositoryData(String sessionId, Repository2SoapDO repository)`
  Prepare a simulated response to setRepositoryData
  `void`
  `prepareSetRepositoryData(String sessionId, Repository2SoapDO repository, Exception exception)`
  Prepare a simulated response to setRepositoryData
  `void`
  `removeRepositoryFromReplica(String sessionId, String repositoryId, String replicaId)`
  Simulate a call to removeRepositoryFromReplica
  `void`
  `replicateRepository(String sessionId, String repositoryId, String replicaId)`
  Simulate a call to replicateRepository
  `void`
  `setAuthorizedKeys(String sessionId, String authorizedKeys)`
  Simulate a call to setAuthorizedKeys
  `void`
  `setAuthorizedKeys(String sessionId, String username, String authorizedKeys)`
  Simulate a call to setAuthorizedKeys
  `void`
  `setAuthorizedKeysForUser(String sessionId, String username, String authorizedKeys)`
  Simulate a call to setAuthorizedKeysForUser
  `void`
  `setExternalSystemData(String sessionId, ExternalSystemSoapDO systemData)`
  Simulate a call to setExternalSystemData
  `void`
  `setReplicaData(String sessionId, ReplicaDataSoapDO replica)`
  Simulate a call to setReplicaData
  `void`
  `setRepositoryData(String sessionId, Repository2SoapDO repository)`
  Simulate a call to setRepositoryData

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScmAppSoapMockStub

    public ScmAppSoapMockStub(String soapServerUrl)

- ## Method Details

  - ### prepareGetRepositoryList

    public void prepareGetRepositoryList(String sessionId, String projectId, Object returnValue)
    Prepare a simulated response to getRepositoryList
    See Also:
      - `ScmAppSoap.getRepositoryList(java.lang.String, java.lang.String)`

  - ### getRepositoryList

    public RepositorySoapList getRepositoryList(String sessionId, String projectId) throws RemoteException
    Simulate a call to getRepositoryList
    Specified by:
      `getRepositoryList` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - The project id.
    Returns:
      List of SCM repositories within the specified project.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getRepositoryList(java.lang.String, java.lang.String)`

  - ### prepareGetRepositoryListForExternalSystem

    public void prepareGetRepositoryListForExternalSystem(String sessionId, String externalSystemId, String userName, Object returnValue)
    Prepare a simulated response to getRepositoryListForExternalSystem
    See Also:
      - `ScmAppSoap.getRepositoryListForExternalSystem(java.lang.String, java.lang.String, java.lang.String)`

  - ### getRepositoryListForExternalSystem

    public RepositorySoapList getRepositoryListForExternalSystem(String sessionId, String externalSystemId, String userName) throws RemoteException
    Simulate a call to getRepositoryListForExternalSystem
    Specified by:
      `getRepositoryListForExternalSystem` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id. Must be site admin.
      `externalSystemId` - The external system (SCM adapter) id.
      `userName` - Name of the user.
    Returns:
      List of repositories on a given external system
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified external system id is not valid
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when any of the parameters is null/empty
      `RemoteException`
    See Also:
      - `ScmAppSoap.getRepositoryListForExternalSystem(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetCommitList

    public void prepareGetCommitList(String sessionId, String repositoryId, SoapFilter[] filters, Object returnValue)
    Prepare a simulated response to getCommitList
    See Also:
      - `ScmAppSoap.getCommitList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

  - ### getCommitList

    public CommitSoapList getCommitList(String sessionId, String repositoryId, SoapFilter[] filters) throws RemoteException
    Simulate a call to getCommitList
    Specified by:
      `getCommitList` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `repositoryId` - The repository id.
      `filters` - Array of filters to apply (null to return unfiltered list).
    Returns:
      List of SCM commits on the specified repository.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified repository id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `InvalidFilterFault` - If the filters are not valid.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getCommitList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

  - ### prepareGetCommitData

    public void prepareGetCommitData(String sessionId, String commitId, Object returnValue)
    Prepare a simulated response to getCommitData
    See Also:
      - `ScmAppSoap.getCommitData(java.lang.String, java.lang.String)`

  - ### getCommitData

    public CommitSoapDO getCommitData(String sessionId, String commitId) throws RemoteException
    Simulate a call to getCommitData
    Specified by:
      `getCommitData` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `commitId` - The commit id.
    Returns:
      Commit data.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified commit id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getCommitData(java.lang.String, java.lang.String)`

  - ### prepareGetCommitData2

    public void prepareGetCommitData2(String sessionId, String commitId, Object returnValue)
    Prepare a simulated response to getCommitData2
    See Also:
      - `ScmAppSoap.getCommitData2(java.lang.String, java.lang.String)`

  - ### getCommitData2

    public Commit2SoapDO getCommitData2(String sessionId, String commitId) throws RemoteException
    Simulate a call to getCommitData2
    Specified by:
      `getCommitData2` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `commitId` - The commit id.
    Returns:
      Commit data
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified commit id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getCommitData2(java.lang.String, java.lang.String)`

  - ### prepareGetRepositoryData

    public void prepareGetRepositoryData(String sessionId, String externalSystemId, String repositoryDirectory, Object returnValue)
    Prepare a simulated response to getRepositoryData
    See Also:
      - `ScmAppSoap.getRepositoryData(java.lang.String, java.lang.String, java.lang.String)`

  - ### getRepositoryData

    public RepositorySoapDO getRepositoryData(String sessionId, String externalSystemId, String repositoryDirectory) throws RemoteException
    Simulate a call to getRepositoryData
    Specified by:
      `getRepositoryData` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `externalSystemId` - The id of the external system that the repository is located on
      `repositoryDirectory` - The directory on the external system that the repository is located in
    Returns:
      Repository Data
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified repository id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getRepositoryData(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetRepository2Data

    public void prepareGetRepository2Data(String sessionId, String externalSystemId, String repositoryDirectory, Object returnValue)
    Prepare a simulated response to getRepository2Data
    See Also:
      - `ScmAppSoap.getRepository2Data(java.lang.String, java.lang.String, java.lang.String)`

  - ### getRepository2Data

    public Repository2SoapDO getRepository2Data(String sessionId, String externalSystemId, String repositoryDirectory) throws RemoteException
    Simulate a call to getRepository2Data
    Specified by:
      `getRepository2Data` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `externalSystemId` - The id of the external system that the repository is located on
      `repositoryDirectory` - The directory on the external system that the repository is located in
    Returns:
      Repository Data
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified repository id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getRepository2Data(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetRepositoryDataById

    public void prepareGetRepositoryDataById(String sessionId, String repositoryId, Object returnValue)
    Prepare a simulated response to getRepositoryDataById
    See Also:
      - `ScmAppSoap.getRepositoryDataById(java.lang.String, java.lang.String)`

  - ### getRepositoryDataById

    public RepositorySoapDO getRepositoryDataById(String sessionId, String repositoryId) throws RemoteException
    Simulate a call to getRepositoryDataById
    Specified by:
      `getRepositoryDataById` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `repositoryId` - The id of the repository
    Returns:
      Repository Data
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified repository id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getRepositoryDataById(java.lang.String, java.lang.String)`

  - ### prepareGetRepository2DataById

    public void prepareGetRepository2DataById(String sessionId, String repositoryId, Object returnValue)
    Prepare a simulated response to getRepository2DataById
    See Also:
      - `ScmAppSoap.getRepository2DataById(java.lang.String, java.lang.String)`

  - ### getRepository2DataById

    public Repository2SoapDO getRepository2DataById(String sessionId, String repositoryId) throws RemoteException
    Simulate a call to getRepository2DataById
    Specified by:
      `getRepository2DataById` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `repositoryId` - The id of the repository
    Returns:
      Repository Data
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified repository id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getRepository2DataById(java.lang.String, java.lang.String)`

  - ### prepareSetRepositoryData

    public void prepareSetRepositoryData(String sessionId, Repository2SoapDO repository)
    Prepare a simulated response to setRepositoryData
    See Also:
      - `ScmAppSoap.setRepositoryData(java.lang.String, com.collabnet.ce.soap60.webservices.scm.Repository2SoapDO)`

  - ### prepareSetRepositoryData

    public void prepareSetRepositoryData(String sessionId, Repository2SoapDO repository, Exception exception)
    Prepare a simulated response to setRepositoryData
    See Also:
      - `ScmAppSoap.setRepositoryData(java.lang.String, com.collabnet.ce.soap60.webservices.scm.Repository2SoapDO)`

  - ### setRepositoryData

    public void setRepositoryData(String sessionId, Repository2SoapDO repository) throws RemoteException
    Simulate a call to setRepositoryData
    Specified by:
      `setRepositoryData` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `repository` - The repository data
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified repository id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.setRepositoryData(java.lang.String, com.collabnet.ce.soap60.webservices.scm.Repository2SoapDO)`

  - ### prepareGetReplicaData

    public void prepareGetReplicaData(String sessionId, String replicaId, Object returnValue)
    Prepare a simulated response to getReplicaData
    See Also:
      - `ScmAppSoap.getReplicaData(java.lang.String, java.lang.String)`

  - ### getReplicaData

    public ReplicaDataSoapDO getReplicaData(String sessionId, String replicaId) throws RemoteException
    Simulate a call to getReplicaData
    Specified by:
      `getReplicaData` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the user session
      `replicaId` - the replica server id
    Returns:
      the replica server data
    Throws:
      `InvalidSessionFault`
      `PermissionDeniedFault`
      `SystemFault`
      `NoSuchObjectFault`
      `RemoteException`
    See Also:
      - `ScmAppSoap.getReplicaData(java.lang.String, java.lang.String)`

  - ### prepareSetReplicaData

    public void prepareSetReplicaData(String sessionId, ReplicaDataSoapDO replica)
    Prepare a simulated response to setReplicaData
    See Also:
      - `ScmAppSoap.setReplicaData(java.lang.String, com.collabnet.ce.soap60.webservices.scm.ReplicaDataSoapDO)`

  - ### prepareSetReplicaData

    public void prepareSetReplicaData(String sessionId, ReplicaDataSoapDO replica, Exception exception)
    Prepare a simulated response to setReplicaData
    See Also:
      - `ScmAppSoap.setReplicaData(java.lang.String, com.collabnet.ce.soap60.webservices.scm.ReplicaDataSoapDO)`

  - ### setReplicaData

    public void setReplicaData(String sessionId, ReplicaDataSoapDO replica) throws RemoteException
    Simulate a call to setReplicaData
    Specified by:
      `setReplicaData` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - user session id
      `replica` - the replica server data to be set
    Throws:
      `InvalidSessionFault`
      `PermissionDeniedFault`
      `SystemFault`
      `NoSuchObjectFault`
      `VersionMismatchFault`
      `RemoteException`
    See Also:
      - `ScmAppSoap.setReplicaData(java.lang.String, com.collabnet.ce.soap60.webservices.scm.ReplicaDataSoapDO)`

  - ### prepareGetSCMCheckoutCommand

    public void prepareGetSCMCheckoutCommand(String sessionId, String repositoryId, String userName, Object returnValue)
    Prepare a simulated response to getSCMCheckoutCommand
    See Also:
      - `ScmAppSoap.getSCMCheckoutCommand(java.lang.String, java.lang.String, java.lang.String)`

  - ### getSCMCheckoutCommand

    public String getSCMCheckoutCommand(String sessionId, String repositoryId, String userName) throws RemoteException
    Simulate a call to getSCMCheckoutCommand
    Specified by:
      `getSCMCheckoutCommand` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `repositoryId` - The id of the repository
      `userName` - User name.
    Returns:
      command to check out the repository
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified repository id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getSCMCheckoutCommand(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetSCMCheckoutCommands

    public void prepareGetSCMCheckoutCommands(String sessionId, String repositoryId, Object returnValue)
    Prepare a simulated response to getSCMCheckoutCommands
    See Also:
      - `ScmAppSoap.getSCMCheckoutCommands(java.lang.String, java.lang.String)`

  - ### getSCMCheckoutCommands

    public CheckoutCommandSoapList getSCMCheckoutCommands(String sessionId, String repositoryId) throws RemoteException
    Simulate a call to getSCMCheckoutCommands
    Specified by:
      `getSCMCheckoutCommands` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `repositoryId` - The id of the repository
    Returns:
      protocol to checkout command tuples
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified repository id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getSCMCheckoutCommands(java.lang.String, java.lang.String)`

  - ### prepareGetSCMCheckoutCommandsForReplica

    public void prepareGetSCMCheckoutCommandsForReplica(String sessionId, String repositoryId, String replicaId, Object returnValue)
    Prepare a simulated response to getSCMCheckoutCommandsForReplica
    See Also:
      - `ScmAppSoap.getSCMCheckoutCommandsForReplica(java.lang.String, java.lang.String, java.lang.String)`

  - ### getSCMCheckoutCommandsForReplica

    public CheckoutCommandSoapList getSCMCheckoutCommandsForReplica(String sessionId, String repositoryId, String replicaId) throws RemoteException
    Simulate a call to getSCMCheckoutCommandsForReplica
    Specified by:
      `getSCMCheckoutCommandsForReplica` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `repositoryId` - The id of the repository
      `replicaId` - The id of the replica to which checkout command should point
    Returns:
      protocol to checkout command tuples
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified repository id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getSCMCheckoutCommandsForReplica(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateRepository

    public void prepareCreateRepository(String sessionId, String projectId, String externalSystemId, String repositoryDirectory, String title, String description, boolean idRequiredOnCommit, boolean hideMonitoringDetails, String comment, Object returnValue)
    Prepare a simulated response to createRepository
    See Also:
      - `ScmAppSoap.createRepository(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, java.lang.String)`

  - ### createRepository

    public RepositorySoapDO createRepository(String sessionId, String projectId, String externalSystemId, String repositoryDirectory, String title, String description, boolean idRequiredOnCommit, boolean hideMonitoringDetails, String comment) throws RemoteException
    Simulate a call to createRepository
    Specified by:
      `createRepository` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - The project that will host the new repository
      `externalSystemId` - The id of the external system on which the new repository will be created
      `repositoryDirectory` - The directory on the external system for the new repository
      `title` - The name of the new repository
      `description` - The description for the new repository
      `idRequiredOnCommit` - Whether an artifact ID is required for commits to this repository
      `hideMonitoringDetails` - Controls whether monitoring messages for commit include full details
      `comment` - The comment for documenting the creation of the repository
    Returns:
      Repository Data
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified repository id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.createRepository(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, java.lang.String)`

  - ### prepareCreateRepository2

    public void prepareCreateRepository2(String sessionId, String projectId, String externalSystemId, String repositoryDirectory, String title, String description, boolean idRequiredOnCommit, boolean hideMonitoringDetails, String comment, RepositoryParameter2SoapDO[] params, Object returnValue)
    Prepare a simulated response to createRepository2
    See Also:
      - `ScmAppSoap.createRepository2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, java.lang.String, com.collabnet.ce.soap60.webservices.scm.RepositoryParameter2SoapDO[])`

  - ### createRepository2

    public Repository2SoapDO createRepository2(String sessionId, String projectId, String externalSystemId, String repositoryDirectory, String title, String description, boolean idRequiredOnCommit, boolean hideMonitoringDetails, String comment, RepositoryParameter2SoapDO[] params) throws RemoteException
    Simulate a call to createRepository2
    Specified by:
      `createRepository2` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - The project that will host the new repository
      `externalSystemId` - The id of the external system on which the new repository will be created
      `repositoryDirectory` - The directory on the external system for the new repository
      `title` - The name of the new repository
      `description` - The description for the new repository
      `idRequiredOnCommit` - Whether an artifact ID is required for commits to this repository
      `hideMonitoringDetails` - Controls whether monitoring messages for commit include full details
      `comment` - The comment for documenting the creation of the repository
      `params` - The repository parameter
    Returns:
      Repository Data
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified repository id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.createRepository2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, java.lang.String, com.collabnet.ce.soap60.webservices.scm.RepositoryParameter2SoapDO[])`

  - ### prepareDeleteRepository

    public void prepareDeleteRepository(String sessionId, String repositoryId)
    Prepare a simulated response to deleteRepository
    See Also:
      - `ScmAppSoap.deleteRepository(java.lang.String, java.lang.String)`

  - ### prepareDeleteRepository

    public void prepareDeleteRepository(String sessionId, String repositoryId, Exception exception)
    Prepare a simulated response to deleteRepository
    See Also:
      - `ScmAppSoap.deleteRepository(java.lang.String, java.lang.String)`

  - ### deleteRepository

    public void deleteRepository(String sessionId, String repositoryId) throws RemoteException
    Simulate a call to deleteRepository
    Specified by:
      `deleteRepository` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - The user's SOAP session id
      `repositoryId` - The id of the repository to be deleted
    Throws:
      `InvalidSessionFault` - If the user's session is invalid
      `PermissionDeniedFault` - If the user doesn't have proper permissions to delete the repository
      `SystemFault` - All other faults
      `NoSuchObjectFault` - If repository id doesn't exist
      `RemoteException`
    See Also:
      - `ScmAppSoap.deleteRepository(java.lang.String, java.lang.String)`

  - ### prepareMoveRepository

    public void prepareMoveRepository(String sessionId, String repositoryId, String projectId, Object returnValue)
    Prepare a simulated response to moveRepository
    See Also:
      - `ScmAppSoap.moveRepository(java.lang.String, java.lang.String, java.lang.String)`

  - ### moveRepository

    public RepositorySoapDO moveRepository(String sessionId, String repositoryId, String projectId) throws RemoteException
    Simulate a call to moveRepository
    Specified by:
      `moveRepository` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - The user's SOAP session id
      `repositoryId` - The id of the repository to move
      `projectId` - The id of the project to move the repository to
    Returns:
      RepositorySoapDO The repository object post-move
    Throws:
      `InvalidSessionFault` - If the user's session is invalid
      `NoSuchObjectFault` - If either the repository id or project id doesn't exist
      `ObjectAlreadyExistsFault` - If the destination project is the same as the current project
      `PermissionDeniedFault` - If the user doesn't have proper permissions on either the repository or the project
      `SystemFault` - All other faults
      `RemoteException`
    See Also:
      - `ScmAppSoap.moveRepository(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetScmAdapterNames

    public void prepareGetScmAdapterNames(String sessionId, Object returnValue)
    Prepare a simulated response to getScmAdapterNames
    See Also:
      - `ScmAppSoap.getScmAdapterNames(java.lang.String)`

  - ### getScmAdapterNames

    public String[] getScmAdapterNames(String sessionId) throws RemoteException
    Simulate a call to getScmAdapterNames
    Specified by:
      `getScmAdapterNames` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - The user's SOAP session id
    Returns:
      String[] The known SCM adapter names
    Throws:
      `InvalidSessionFault` - If the session is invalid
      `PermissionDeniedFault` - If the user is not a site administrator
      `SystemFault` - If anything else goes wrong
      `RemoteException`
    See Also:
      - `ScmAppSoap.getScmAdapterNames(java.lang.String)`

  - ### prepareGetScmAdapterParameterNamesWithType

    public void prepareGetScmAdapterParameterNamesWithType(String sessionId, String adapterName, Object returnValue)
    Prepare a simulated response to getScmAdapterParameterNamesWithType
    See Also:
      - `ScmAppSoap.getScmAdapterParameterNamesWithType(java.lang.String, java.lang.String)`

  - ### getScmAdapterParameterNamesWithType

    public SoapNamedValues getScmAdapterParameterNamesWithType(String sessionId, String adapterName) throws RemoteException
    Simulate a call to getScmAdapterParameterNamesWithType
    Specified by:
      `getScmAdapterParameterNamesWithType` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - The user's SOAP session id
      `adapterName` - The SCM adapter's name
    Returns:
      SoapNamedValues The named values with type for the SCM adapter parameters
    Throws:
      `InvalidSessionFault` - If the session is invalid
      `NoSuchObjectFault` - If the adapter name is not available
      `PermissionDeniedFault` - If the user is not a site administrator
      `SystemFault` - If anything else goes wrong
      `RemoteException`
    See Also:
      - `ScmAppSoap.getScmAdapterParameterNamesWithType(java.lang.String, java.lang.String)`

  - ### prepareAddExternalSystem

    public void prepareAddExternalSystem(String sessionId, String adapterType, String title, String description, SoapNamedValues adapterTypeParameters, Object returnValue)
    Prepare a simulated response to addExternalSystem
    See Also:
      - `ScmAppSoap.addExternalSystem(java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues)`

  - ### addExternalSystem

    public String addExternalSystem(String sessionId, String adapterType, String title, String description, SoapNamedValues adapterTypeParameters) throws RemoteException
    Simulate a call to addExternalSystem
    Specified by:
      `addExternalSystem` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - is the user session id.
      `adapterType` - is be the adapter type created, which is one value of the call "getScmAdapterNames()".
      `title` - is the title of the external system.
      `description` - is the description of the external system.
      `adapterTypeParameters` - is the list of parameters of names and associated values for the given adapter type.
    Returns:
      The GUID of the newly added external system.
    Throws:
      `InvalidSessionFault` - When the specified session id is invalid.
      `NoSuchObjectFault` - If the adapter does not exist internally.
      `PermissionDeniedFault` - When the user has insufficient privileges.
      `SystemFault` - When wrong parameters are provided or an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.addExternalSystem(java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues)`

  - ### prepareGetExternalSystem

    public void prepareGetExternalSystem(String sessionId, String systemId, Object returnValue)
    Prepare a simulated response to getExternalSystem
    See Also:
      - `ScmAppSoap.getExternalSystem(java.lang.String, java.lang.String)`

  - ### getExternalSystem

    public ExternalSystemSoapDO getExternalSystem(String sessionId, String systemId) throws RemoteException
    Simulate a call to getExternalSystem
    Specified by:
      `getExternalSystem` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the user session id.
      `systemId` - The GUID of the external system.
    Returns:
      the external system data.
    Throws:
      `InvalidSessionFault` - When the specified session id is invalid.
      `NoSuchObjectFault` - If the external system does not exist internally.
      `PermissionDeniedFault` - When the user has insufficient privileges.
      `SystemFault` - When wrong parameters are provided or an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getExternalSystem(java.lang.String, java.lang.String)`

  - ### prepareGetExternalSystemList

    public void prepareGetExternalSystemList(String sessionId, Object returnValue)
    Prepare a simulated response to getExternalSystemList
    See Also:
      - `ScmAppSoap.getExternalSystemList(java.lang.String)`

  - ### getExternalSystemList

    public ExternalSystemSoapList getExternalSystemList(String sessionId) throws RemoteException
    Simulate a call to getExternalSystemList
    Specified by:
      `getExternalSystemList` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the user session id.
    Returns:
      the external system list.
    Throws:
      `InvalidSessionFault` - When the specified session id is invalid.
      `PermissionDeniedFault` - When the user has insufficient privileges.
      `SystemFault` - When wrong parameters are provided or an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getExternalSystemList(java.lang.String)`

  - ### prepareGetExternalSystemList2

    public void prepareGetExternalSystemList2(String sessionId, Object returnValue)
    Prepare a simulated response to getExternalSystemList2
    See Also:
      - `ScmAppSoap.getExternalSystemList2(java.lang.String)`

  - ### getExternalSystemList2

    public ExternalSystem2SoapList getExternalSystemList2(String sessionId) throws RemoteException
    Simulate a call to getExternalSystemList2
    Specified by:
      `getExternalSystemList2` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the user session id.
    Returns:
      the external system list.
    Throws:
      `InvalidSessionFault` - When the specified session id is invalid.
      `PermissionDeniedFault` - When the user has insufficient privileges.
      `SystemFault` - When wrong parameters are provided or an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getExternalSystemList2(java.lang.String)`

  - ### prepareSetExternalSystemData

    public void prepareSetExternalSystemData(String sessionId, ExternalSystemSoapDO systemData)
    Prepare a simulated response to setExternalSystemData
    See Also:
      - `ScmAppSoap.setExternalSystemData(java.lang.String, com.collabnet.ce.soap60.webservices.scm.ExternalSystemSoapDO)`

  - ### prepareSetExternalSystemData

    public void prepareSetExternalSystemData(String sessionId, ExternalSystemSoapDO systemData, Exception exception)
    Prepare a simulated response to setExternalSystemData
    See Also:
      - `ScmAppSoap.setExternalSystemData(java.lang.String, com.collabnet.ce.soap60.webservices.scm.ExternalSystemSoapDO)`

  - ### setExternalSystemData

    public void setExternalSystemData(String sessionId, ExternalSystemSoapDO systemData) throws RemoteException
    Simulate a call to setExternalSystemData
    Specified by:
      `setExternalSystemData` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the user session id.
      `systemData` - the external system data to be updated
    Throws:
      `NoSuchObjectFault` - If the external system does not exist internally.
      `SystemFault` - When wrong parameters are provided or an unexpected system error occurs.
      `InvalidSessionFault` - When the specified session id is invalid.
      `PermissionDeniedFault` - When the user has insufficient privileges.
      `InvalidOperationFault` - When an attempt is made to set different adapterName or adapterCatrogory.
      `RemoteException`
    See Also:
      - `ScmAppSoap.setExternalSystemData(java.lang.String, com.collabnet.ce.soap60.webservices.scm.ExternalSystemSoapDO)`

  - ### prepareIsAdapterTypeValid

    public void prepareIsAdapterTypeValid(com.vasoftware.sf.server.types.NamedValue[] adapterTypeParams, String givenParamName, String givenParamValue, Object returnValue)
    Prepare a simulated response to isAdapterTypeValid
    See Also:
      - `ScmAppSoap.isAdapterTypeValid(com.vasoftware.sf.server.types.NamedValue[], java.lang.String, java.lang.String)`

  - ### isAdapterTypeValid

    public boolean isAdapterTypeValid(com.vasoftware.sf.server.types.NamedValue[] adapterTypeParams, String givenParamName, String givenParamValue) throws RemoteException
    Simulate a call to isAdapterTypeValid
    Throws:
      `RemoteException`
    See Also:
      - `ScmAppSoap.isAdapterTypeValid(com.vasoftware.sf.server.types.NamedValue[], java.lang.String, java.lang.String)`

  - ### prepareGetCommitId

    public void prepareGetCommitId(String sessionId, String revision, String externalSystemId, String repoPath, Object returnValue)
    Prepare a simulated response to getCommitId
    See Also:
      - `ScmAppSoap.getCommitId(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### getCommitId

    public String getCommitId(String sessionId, String revision, String externalSystemId, String repoPath) throws RemoteException
    Simulate a call to getCommitId
    Specified by:
      `getCommitId` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `revision` - The Revision Number
      `externalSystemId` - External system id.
      `repoPath` - Repository path.
    Returns:
      The commit Id
    Throws:
      `InvalidSessionFault` - when the session is invalid (expired / time out)
      `PermissionDeniedFault` - when the user does not have read access.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified repository id is invalid.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getCommitId(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetReplicableScmExternalSystemList

    public void prepareGetReplicableScmExternalSystemList(String sessionId, Object returnValue)
    Prepare a simulated response to getReplicableScmExternalSystemList
    See Also:
      - `ScmAppSoap.getReplicableScmExternalSystemList(java.lang.String)`

  - ### getReplicableScmExternalSystemList

    public ReplicableScmExternalSystemSoapList getReplicableScmExternalSystemList(String sessionId) throws RemoteException
    Simulate a call to getReplicableScmExternalSystemList
    Specified by:
      `getReplicableScmExternalSystemList` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
    Returns:
      List of the replicable external systems
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getReplicableScmExternalSystemList(java.lang.String)`

  - ### prepareGetReplicableScmExternalSystemList2

    public void prepareGetReplicableScmExternalSystemList2(String sessionId, String adapterName, Object returnValue)
    Prepare a simulated response to getReplicableScmExternalSystemList2
    See Also:
      - `ScmAppSoap.getReplicableScmExternalSystemList2(java.lang.String, java.lang.String)`

  - ### getReplicableScmExternalSystemList2

    public ReplicableScmExternalSystemSoapList getReplicableScmExternalSystemList2(String sessionId, String adapterName) throws RemoteException
    Simulate a call to getReplicableScmExternalSystemList2
    Specified by:
      `getReplicableScmExternalSystemList2` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - User session id.
      `adapterName` - the adapter name or `null` to list replicable systems for all adapters.
    Returns:
      List of the replicable external systems.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getReplicableScmExternalSystemList2(java.lang.String, java.lang.String)`

  - ### prepareGetReplicatedRepositoryList

    public void prepareGetReplicatedRepositoryList(String sessionId, String masterRepositoryId, Object returnValue)
    Prepare a simulated response to getReplicatedRepositoryList
    See Also:
      - `ScmAppSoap.getReplicatedRepositoryList(java.lang.String, java.lang.String)`

  - ### getReplicatedRepositoryList

    public ReplicatedRepositorySoapList getReplicatedRepositoryList(String sessionId, String masterRepositoryId) throws RemoteException
    Simulate a call to getReplicatedRepositoryList
    Specified by:
      `getReplicatedRepositoryList` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the session key
      `masterRepositoryId` - the repository Id for which to find replicas
    Returns:
      a list of ReplicatedRepository
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified master repository id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getReplicatedRepositoryList(java.lang.String, java.lang.String)`

  - ### prepareGetReplicaListForExternalSystem

    public void prepareGetReplicaListForExternalSystem(String sessionId, String externalSystemId, boolean approvedOnly, Object returnValue)
    Prepare a simulated response to getReplicaListForExternalSystem
    See Also:
      - `ScmAppSoap.getReplicaListForExternalSystem(java.lang.String, java.lang.String, boolean)`

  - ### getReplicaListForExternalSystem

    public ReplicaServerSoapList getReplicaListForExternalSystem(String sessionId, String externalSystemId, boolean approvedOnly) throws RemoteException
    Simulate a call to getReplicaListForExternalSystem
    Specified by:
      `getReplicaListForExternalSystem` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the user session id.
      `externalSystemId` - The GUID of the external system.
      `approvedOnly` - The GUID of the external system.
    Returns:
      replicas list.
    Throws:
      `IllegalArgumentFault` - When wrong parameters are provided.
      `InvalidSessionFault` - When the specified session id is invalid.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getReplicaListForExternalSystem(java.lang.String, java.lang.String, boolean)`

  - ### prepareGetReplicaRepositoryList

    public void prepareGetReplicaRepositoryList(String sessionId, String replicaId, Object returnValue)
    Prepare a simulated response to getReplicaRepositoryList
    See Also:
      - `ScmAppSoap.getReplicaRepositoryList(java.lang.String, java.lang.String)`

  - ### getReplicaRepositoryList

    public ReplicaRepositorySoapList getReplicaRepositoryList(String sessionId, String replicaId) throws RemoteException
    Simulate a call to getReplicaRepositoryList
    Specified by:
      `getReplicaRepositoryList` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the session key
      `replicaId` - the replica Id for which to find repositories
    Returns:
      a list of ReplicatedRepository
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified replica id is invalid.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getReplicaRepositoryList(java.lang.String, java.lang.String)`

  - ### prepareReplicateRepository

    public void prepareReplicateRepository(String sessionId, String repositoryId, String replicaId)
    Prepare a simulated response to replicateRepository
    See Also:
      - `ScmAppSoap.replicateRepository(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareReplicateRepository

    public void prepareReplicateRepository(String sessionId, String repositoryId, String replicaId, Exception exception)
    Prepare a simulated response to replicateRepository
    See Also:
      - `ScmAppSoap.replicateRepository(java.lang.String, java.lang.String, java.lang.String)`

  - ### replicateRepository

    public void replicateRepository(String sessionId, String repositoryId, String replicaId) throws RemoteException
    Simulate a call to replicateRepository
    Specified by:
      `replicateRepository` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the session key
      `repositoryId` - the id of the given repository
      `replicaId` - the id of the given replica
    Throws:
      `IllegalArgumentFault` - when the repositoryId or replicaId are null or empty
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified master repository or replica are not valid
      `SystemFault` - if replica command creation fails
      `PermissionDeniedFault` - if the user has no permission
      `RemoteException`
    See Also:
      - `ScmAppSoap.replicateRepository(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareRemoveRepositoryFromReplica

    public void prepareRemoveRepositoryFromReplica(String sessionId, String repositoryId, String replicaId)
    Prepare a simulated response to removeRepositoryFromReplica
    See Also:
      - `ScmAppSoap.removeRepositoryFromReplica(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareRemoveRepositoryFromReplica

    public void prepareRemoveRepositoryFromReplica(String sessionId, String repositoryId, String replicaId, Exception exception)
    Prepare a simulated response to removeRepositoryFromReplica
    See Also:
      - `ScmAppSoap.removeRepositoryFromReplica(java.lang.String, java.lang.String, java.lang.String)`

  - ### removeRepositoryFromReplica

    public void removeRepositoryFromReplica(String sessionId, String repositoryId, String replicaId) throws RemoteException
    Simulate a call to removeRepositoryFromReplica
    Specified by:
      `removeRepositoryFromReplica` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the session key
      `repositoryId` - the id of the given repository
      `replicaId` - the id of the given replica
    Throws:
      `IllegalArgumentFault` - when the repositoryId or replicaId are null or empty
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified master repository or replica are not valid
      `SystemFault` - if replica command creation fails
      `PermissionDeniedFault` - if the user has no permission
      `RemoteException`
    See Also:
      - `ScmAppSoap.removeRepositoryFromReplica(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetAuthorizedKeysForUser

    public void prepareGetAuthorizedKeysForUser(String sessionId, String username, Object returnValue)
    Prepare a simulated response to getAuthorizedKeysForUser
    See Also:
      - `ScmAppSoap.getAuthorizedKeysForUser(java.lang.String, java.lang.String)`

  - ### getAuthorizedKeysForUser

    public String getAuthorizedKeysForUser(String sessionId, String username) throws RemoteException
    Simulate a call to getAuthorizedKeysForUser
    Specified by:
      `getAuthorizedKeysForUser` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the session key
      `username` - name of the user
    Returns:
      Authorized keys, separated by '\n' character.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges (the sessionId is not of a site admin).
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getAuthorizedKeysForUser(java.lang.String, java.lang.String)`

  - ### prepareGetAuthorizedKeys

    public void prepareGetAuthorizedKeys(String sessionId, Object returnValue)
    Prepare a simulated response to getAuthorizedKeys
    See Also:
      - `ScmAppSoap.getAuthorizedKeys(java.lang.String)`

  - ### getAuthorizedKeys

    public String getAuthorizedKeys(String sessionId) throws RemoteException
    Simulate a call to getAuthorizedKeys
    Specified by:
      `getAuthorizedKeys` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the session key
    Returns:
      Authorized keys, separated by '\n' character. Returns empty string if the user has no keys.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.getAuthorizedKeys(java.lang.String)`

  - ### prepareSetAuthorizedKeys

    public void prepareSetAuthorizedKeys(String sessionId, String authorizedKeys)
    Prepare a simulated response to setAuthorizedKeys
    See Also:
      - `ScmAppSoap.setAuthorizedKeys(java.lang.String, java.lang.String)`

  - ### prepareSetAuthorizedKeys

    public void prepareSetAuthorizedKeys(String sessionId, String authorizedKeys, Exception exception)
    Prepare a simulated response to setAuthorizedKeys
    See Also:
      - `ScmAppSoap.setAuthorizedKeys(java.lang.String, java.lang.String)`

  - ### setAuthorizedKeys

    public void setAuthorizedKeys(String sessionId, String authorizedKeys) throws RemoteException
    Simulate a call to setAuthorizedKeys
    Specified by:
      `setAuthorizedKeys` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the session key
      `authorizedKeys` - the string containing authorized keys, separated by '\n' character.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `ScmAppSoap.setAuthorizedKeys(java.lang.String, java.lang.String)`

  - ### prepareSetAuthorizedKeysForUser

    public void prepareSetAuthorizedKeysForUser(String sessionId, String username, String authorizedKeys)
    Prepare a simulated response to setAuthorizedKeysForUser
    See Also:
      - `ScmAppSoap.setAuthorizedKeysForUser(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareSetAuthorizedKeysForUser

    public void prepareSetAuthorizedKeysForUser(String sessionId, String username, String authorizedKeys, Exception exception)
    Prepare a simulated response to setAuthorizedKeysForUser
    See Also:
      - `ScmAppSoap.setAuthorizedKeysForUser(java.lang.String, java.lang.String, java.lang.String)`

  - ### setAuthorizedKeysForUser

    public void setAuthorizedKeysForUser(String sessionId, String username, String authorizedKeys) throws RemoteException
    Simulate a call to setAuthorizedKeysForUser
    Specified by:
      `setAuthorizedKeysForUser` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the session key
      `username` - username for whom the authorized keys to be set
      `authorizedKeys` - the string containing authorized keys, separated by '\n' character.
    Throws:
      `RemoteException` - when username is invalid
    See Also:
      - `ScmAppSoap.setAuthorizedKeysForUser(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareSetAuthorizedKeys

    public void prepareSetAuthorizedKeys(String sessionId, String username, String authorizedKeys)
    Prepare a simulated response to setAuthorizedKeys
    See Also:
      - `ScmAppSoap.setAuthorizedKeys(java.lang.String, java.lang.String)`

  - ### prepareSetAuthorizedKeys

    public void prepareSetAuthorizedKeys(String sessionId, String username, String authorizedKeys, Exception exception)
    Prepare a simulated response to setAuthorizedKeys
    See Also:
      - `ScmAppSoap.setAuthorizedKeys(java.lang.String, java.lang.String)`

  - ### setAuthorizedKeys

    public void setAuthorizedKeys(String sessionId, String username, String authorizedKeys) throws RemoteException
    Simulate a call to setAuthorizedKeys
    Specified by:
      `setAuthorizedKeys` in interface `IScmAppSoap`
    Parameters:
      `sessionId` - the session key
      `username` - username for whom the authorized keys to be set
      `authorizedKeys` - the string containing authorized keys, separated by '\n' character.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified username is invalid.
      `RemoteException`
    See Also:
      - `ScmAppSoap.setAuthorizedKeys(java.lang.String, java.lang.String)`

  - ### prepareNullToEmptyString

    public void prepareNullToEmptyString(String string, Object returnValue)
    Prepare a simulated response to nullToEmptyString
    See Also:
      - `ScmAppSoap.nullToEmptyString(java.lang.String)`

  - ### nullToEmptyString

    public String nullToEmptyString(String string) throws RemoteException
    Simulate a call to nullToEmptyString
    Throws:
      `RemoteException`
    See Also:
      - `ScmAppSoap.nullToEmptyString(java.lang.String)`